> For the complete documentation index, see [llms.txt](https://docs.clym.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clym.io/api-reference/products.md).

# Products

## GET /portal/products

> Get products

```json
{"openapi":"3.0.3","info":{"title":"Partner Products API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"Product":{"description":"A product object","type":"object","properties":{"id":{"type":"string","description":"The product id"},"type":{"type":"string","enum":["SUBSCRIPTION","ONE_OFF"],"description":"The product type"},"code":{"type":"string","description":"The product code"},"name":{"type":"string","description":"The product name"},"prices":{"type":"array","description":"A list of product prices available","items":{"type":"object","properties":{"id":{"type":"number","description":"The product price id"},"frequency":{"type":"string","description":"The price frequency","enum":["MONTH","YEAR"]},"price_list":{"type":"object","description":"The price list","properties":{"id":{"type":"number","description":"The price list id"},"code":{"type":"string","description":"The price list code"}}}}}},"children":{"type":"array","description":"Optional available add-on products","items":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"description":{"type":"string"},"support_url":{"type":"string"}}}},"features":{"type":"array","description":"Optional available product features","items":{"type":"object","description":"The feature object","properties":{"code":{"type":"string","description":"The feature code"},"name":{"type":"string","description":"The feature name"},"type":{"type":"string","description":"The feature type","enum":["BOOLEAN","MAX_VALUE"]},"value":{"oneOf":[{"type":"number"},{"type":"string"}]}}}}}}}},"paths":{"/portal/products":{"get":{"summary":"Get products","responses":{"200":{"description":"An array with all available partner products","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"array","items":{"$ref":"#/components/schemas/Product"}}}}}}}}}}}}
```

## Get product

> Retrieve information about a single product

```json
{"openapi":"3.0.3","info":{"title":"Partner Products API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"Product":{"description":"A product object","type":"object","properties":{"id":{"type":"string","description":"The product id"},"type":{"type":"string","enum":["SUBSCRIPTION","ONE_OFF"],"description":"The product type"},"code":{"type":"string","description":"The product code"},"name":{"type":"string","description":"The product name"},"prices":{"type":"array","description":"A list of product prices available","items":{"type":"object","properties":{"id":{"type":"number","description":"The product price id"},"frequency":{"type":"string","description":"The price frequency","enum":["MONTH","YEAR"]},"price_list":{"type":"object","description":"The price list","properties":{"id":{"type":"number","description":"The price list id"},"code":{"type":"string","description":"The price list code"}}}}}},"children":{"type":"array","description":"Optional available add-on products","items":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"description":{"type":"string"},"support_url":{"type":"string"}}}},"features":{"type":"array","description":"Optional available product features","items":{"type":"object","description":"The feature object","properties":{"code":{"type":"string","description":"The feature code"},"name":{"type":"string","description":"The feature name"},"type":{"type":"string","description":"The feature type","enum":["BOOLEAN","MAX_VALUE"]},"value":{"oneOf":[{"type":"number"},{"type":"string"}]}}}}}}}},"paths":{"/portal/products/{productId}":{"get":{"summary":"Get product","description":"Retrieve information about a single product","parameters":[{"name":"productId","in":"path","description":"Product id or code","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The partner product information","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/Product"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.clym.io/api-reference/products.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
